# Parser.h File Reference

`#include "ACEXML/parser/parser/Parser_export.h"`
`#include "ACEXML/common/XMLReader.h"`
`#include "ACEXML/common/LocatorImpl.h"`
`#include "ACEXML/common/NamespaceSupport.h"`
`#include "ACEXML/common/CharStream.h"`
`#include "ace/Obstack.h"`
`#include "ace/Functor.h"`
`#include "ace/SString.h"`
`#include "ace/Hash_Map_Manager.h"`
`#include "ace/Unbounded_Set.h"`
`#include "ace/Containers_T.h"`
`#include "ace/Auto_Ptr.h"`
`#include "ACEXML/parser/parser/Entity_Manager.h"`
`#include "ACEXML/parser/parser/ParserInternals.h"`
`#include "ACEXML/parser/parser/ParserContext.h"`
`#include "ACEXML/parser/parser/Parser.i"`

Include dependency graph for Parser.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACEXML_Parser
| A SAX based parser. More...

## Detailed Description

Id
  Parser.h,v 1.14 2006/02/09 22:53:20 kitty Exp

Author:
  Nanbor Wang <nanbor@cs.wustl.edu>

  Krishnakumar B <kitty@cs.wustl.edu>